"""
The Definitions module in PyORlib offers a comprehensive set of classes to define and organize the vital components of
an optimization model. With this module, you can easily define terms, variables, and parameters in a structured and
maintainable manner. By centralizing all the metadata, including names and other relevant information, you can
ensure consistency and extensibility throughout your optimization process.
"""

from .dimension_definition import DimensionDefinition
from .parameter_definition import ParameterDefinition
from .term_definition import TermDefinition
